Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

FreeBSD Ports: koffice

Information

Severity

Severity

Medium

Family

Family

FreeBSD Local Security Checks

CVSSv2 Base

CVSSv2 Base

5.1

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:H/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

14 years ago

Modified

Modified

6 years ago

Summary

The remote host is missing an update to the system as announced in the referenced advisory.

Insight

Insight

The following packages are affected: koffice abiword CVE-2005-2972 Multiple stack-based buffer overflows in the RTF import feature in AbiWord before 2.2.11 allow user-complicit attackers to execute arbitrary code via an RTF file with long identifiers, which are not properly handled in the (1) ParseLevelText, (2) getCharsInsideBrace, (3) HandleLists, (4) or (5) HandleAbiLists functions in ie_imp_RTF.cpp, a different vulnerability than CVE-2005-2964.

Solution

Solution

Update your system with the appropriate patches or software upgrades. http://scary.beasts.org/security/CESA-2005-006.txt http://www.abisource.com/changelogs/2.2.11.phtml http://www.kde.org/info/security/advisory-20051011-1.txt http://www.vuxml.org/freebsd/9cd52bc6-a213-11da-b410-000e0c2e438a.html

Common Vulnerabilities and Exposures (CVE)